Subject: Re: "GCC is not found" and "compiler cannot create executables" errors
From: david sastre <[email-masked]>
To: [email-masked]
Date: Fri, 9 Apr 2010 12:38:57 +0200
List-Id: <cygwin.cygwin.com>

Hello,

Thanks for the explanation.
This also solves another recent mystery (for me):
why I have unable to properly use another locally built program:

$ cygcheck /usr/local/sbin/lighttpd
 -> C:\cygwin\usr\local\sbin\..\stow\lighttpd-1.4.26\sbin\lighttpd.exe
C:\cygwin\usr\local\sbin\..\stow\lighttpd-1.4.26\sbin\lighttpd.exe
  C:\cygwin\usr\local\bin\cyglightcomp.dll  C:\cygwin\bin\cyggcc_s-1.dll
    C:\cygwin\bin\cygwin1.dll
      C:\WINDOWS\system32\ADVAPI32.DLL
        C:\WINDOWS\system32\KERNEL32.dll
          C:\WINDOWS\system32\ntdll.dll
        C:\WINDOWS\system32\RPCRT4.dll
          C:\WINDOWS\system32\Secur32.dll
  C:\cygwin\bin\cygcrypto-0.9.8.dll
  C:\cygwin\bin\cygfam-0.dll
  C:\cygwin\bin\cygpcre-0.dll
  C:\cygwin\bin\cygssl-0.9.8.dll
cygcheck: C:\cygwin\usr\local\bin\cyglightcomp.dll is a symlink instead of a DLL

Not to mention the whole list of modules, also built as DLLs...

And -this is going to re-scope the subject- is there a way to
circumvent this limitation?
Other than pointing --prefix to /usr/local/ rather than
/usr/local/stow/package, not to lose
stow's little advantage to manage software as (pseudo)packages.
I mean, if I want to use this version (1.4.26) of lighttpd (BTW,
enhanced with IPV6, SSL and some other stuff -yet to test, though), am
I suppossed to build a standard cygwin package for this
to work?

I'd try to (learn how and) get that done, if necessary, but just
curious about it, too.

Regards.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple